Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 2257916 - Review Request: python-openneuro - A Python client for OpenNeuro
Summary: Review Request: python-openneuro - A Python client for OpenNeuro
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Ankur Sinha (FranciscoD)
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 2257914
Blocks: fedora-neuro, NeuroFedora 2257921
TreeView+ depends on / blocked
 
Reported: 2024-01-11 14:32 UTC by Sandro
Modified: 2024-03-18 08:32 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2024-03-18 08:32:21 UTC
Type: ---
Embargoed:
sanjay.ankur: fedora-review+


Attachments (Terms of Use)

Comment 1 Fedora Review Service 2024-01-11 14:35:37 UTC
Copr build:
https://copr.fedorainfracloud.org/coprs/build/6885508
(failed)

Build log:
https://download.copr.fedorainfracloud.org/results/@fedora-review/fedora-review-2257916-openneuro-py/fedora-rawhide-x86_64/06885508-openneuro-py/builder-live.log.gz

Please make sure the package builds successfully at least for Fedora Rawhide.

- If the build failed for unrelated reasons (e.g. temporary network
  unavailability), please ignore it.
- If the build failed because of missing BuildRequires, please make sure they
  are listed in the "Depends On" field


---
This comment was created by the fedora-review-service
https://github.com/FrostyX/fedora-review-service

If you want to trigger a new Copr build, add a comment containing new
Spec and SRPM URLs or [fedora-review-service-build] string.

Comment 2 Sandro 2024-01-11 14:37:49 UTC
Package depends on `python-sgqlc` (see bug 2257914). For building / testing locally run `dnf copr enable gui1ty/xnat4tests` in order to get the missing dependencies.

Comment 3 Sandro 2024-01-11 15:05:30 UTC
I just re-read the Python Packaging Guidelines on naming[1]. Apart from my head starting to spin, smething in my guts tells me the SRPMNAME should be `python-openneuro-py` or even `python-openneuro`. Here `openneuro-py` is the name used on PyPI, while `openneuro` is the module name.

I need some aspirine... 🤒 💊

Comment 4 Ankur Sinha (FranciscoD) 2024-01-11 15:45:42 UTC
It looks like it provides a CLI tool and a library, so python-openneuro is probably the best? The module that is imported is `openneuro`, luckily:

```
import openneuro as on
on.download(dataset='ds000246', target_dir='data/bids')
```

Comment 5 Sandro 2024-01-11 17:07:00 UTC
Alright, `python-openneuro` it is. I'll rename the package and provided updated links once `python-sgqlc` has landed in rawhide. That will clear the dependency on this bug.

Comment 7 Fedora Review Service 2024-01-11 22:05:00 UTC
Copr build:
https://copr.fedorainfracloud.org/coprs/build/6886251
(failed)

Build log:
https://download.copr.fedorainfracloud.org/results/@fedora-review/fedora-review-2257916-python-openneuro/fedora-rawhide-x86_64/06886251-python-openneuro/builder-live.log.gz

Please make sure the package builds successfully at least for Fedora Rawhide.

- If the build failed for unrelated reasons (e.g. temporary network
  unavailability), please ignore it.
- If the build failed because of missing BuildRequires, please make sure they
  are listed in the "Depends On" field


---
This comment was created by the fedora-review-service
https://github.com/FrostyX/fedora-review-service

If you want to trigger a new Copr build, add a comment containing new
Spec and SRPM URLs or [fedora-review-service-build] string.

Comment 8 Sandro 2024-01-12 19:43:18 UTC
[fedora-review-service-build]

Comment 9 Fedora Review Service 2024-01-12 19:49:26 UTC
Copr build:
https://copr.fedorainfracloud.org/coprs/build/6888712
(succeeded)

Review template:
https://download.copr.fedorainfracloud.org/results/@fedora-review/fedora-review-2257916-python-openneuro/fedora-rawhide-x86_64/06888712-python-openneuro/fedora-review/review.txt

Please take a look if any issues were found.


---
This comment was created by the fedora-review-service
https://github.com/FrostyX/fedora-review-service

If you want to trigger a new Copr build, add a comment containing new
Spec and SRPM URLs or [fedora-review-service-build] string.

Comment 10 Ankur Sinha (FranciscoD) 2024-03-06 12:07:01 UTC
Sorry for the delay on this one, it dropped off my radar.

fedora-review can't find the src rpm now, unfortunately. Could you please re-upload it?

```
$ fedora-review -b 2257916
INFO: Processing bugzilla bug: 2257916
INFO: Getting .spec and .srpm Urls from : 2257916
INFO:   --> SRPM url: https://download.copr.fedorainfracloud.org/results/gui1ty/xnat4tests/fedora-rawhide-x86_64/06886046-python-openneuro/python-openneuro-2024.1.0-1.fc40.src.rpm
INFO:   --> Spec url: https://download.copr.fedorainfracloud.org/results/gui1ty/xnat4tests/fedora-rawhide-x86_64/06886046-python-openneuro/python-openneuro.spec
INFO: Using review directory: /home/asinha/dump/fedora-reviews/2257916-python-openneuro
INFO: Downloading .spec and .srpm files
ERROR: 'Error HTTP Error 404: Not Found downloading https://download.copr.fedorainfracloud.org/results/gui1ty/xnat4tests/fedora-rawhide-x86_64/06886046-python-openneuro/python-openneuro-2024.1.0-1.fc40.src.rpm' (logs in /home/asinha/.cache/fedora-review.log)

``

Comment 11 Sandro 2024-03-06 17:15:54 UTC
(In reply to Ankur Sinha (FranciscoD) from comment #10)
> Sorry for the delay on this one, it dropped off my radar.
> 
> fedora-review can't find the src rpm now, unfortunately. Could you please
> re-upload it?

Spring cleaning happened early, it seems ...

Spec URL: https://gui1ty.fedorapeople.org/review/python-openneuro.spec
SRPM URL: https://gui1ty.fedorapeople.org/review/python-openneuro-2024.1.0-1.fc40.src.rpm

Comment 12 Fedora Review Service 2024-03-06 17:19:53 UTC
Copr build:
https://copr.fedorainfracloud.org/coprs/build/7113326
(succeeded)

Review template:
https://download.copr.fedorainfracloud.org/results/@fedora-review/fedora-review-2257916-python-openneuro/fedora-rawhide-x86_64/07113326-python-openneuro/fedora-review/review.txt

Please take a look if any issues were found.


---
This comment was created by the fedora-review-service
https://github.com/FrostyX/fedora-review-service

If you want to trigger a new Copr build, add a comment containing new
Spec and SRPM URLs or [fedora-review-service-build] string.

Comment 13 Ankur Sinha (FranciscoD) 2024-03-17 21:31:57 UTC
Looks good XXX APPROVED XXXX

A couple of things that can be done before the import:

- a new version is available
- we could generate a man page for the binary?

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Dist tag is present.


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated". 19 files have unknown license. Detailed
     output of licensecheck in /home/asinha/dump/fedora-
     reviews/2257916-python-openneuro/licensecheck.txt
[x]: Package requires other packages for directories it uses.
     Note: No known owner of /usr/lib/python3.12/site-packages,
     /usr/lib/python3.12
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: The License field must be a valid SPDX expression.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package must not depend on deprecated() packages.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 2336 bytes in 1 files.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[-]: Binary eggs must be removed in %prep
     Note: Cannot find any build in BUILD directory (--prebuilt option?)
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Packages MUST NOT have dependencies (either build-time or runtime) on
     packages named with the unversioned python- prefix unless no properly
     versioned package exists. Dependencies on Python packages instead MUST
     use names beginning with python2- or python3- as appropriate.
[x]: Python packages must not contain %{pythonX_site(lib|arch)}/* in %files

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
^
Tests pass

[?]: Latest version is packaged.
^
Looks like 2024.2.0 has been released
https://pypi.org/project/openneuro-py/#history

[x]: Package does not include license text files separate from upstream.
[-]: Sources are verified with gpgverify first in %prep if upstream
     publishes signatures.
     Note: gpgverify is not used.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[!]: Spec file according to URL is the same as in SRPM.
     Note: Spec file as given by url is not the same as in SRPM (see
     attached diff).
     See: (this test has no URL)
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).


Rpmlint
-------
Checking: python3-openneuro-2024.1.0-1.fc41.noarch.rpm
          python-openneuro-2024.1.0-1.fc41.src.rpm
=========================================================================== rpmlint session starts ==========================================================================
rpmlint: 2.5.0
configuration:
    /usr/lib/python3.12/site-packages/rpmlint/configdefaults.toml
    /etc/xdg/rpmlint/fedora-legacy-licenses.toml
    /etc/xdg/rpmlint/fedora-spdx-licenses.toml
    /etc/xdg/rpmlint/fedora.toml
    /etc/xdg/rpmlint/scoring.toml
    /etc/xdg/rpmlint/users-groups.toml
    /etc/xdg/rpmlint/warn-on-functions.toml
rpmlintrc: [PosixPath('/tmp/tmpuz830wyi')]
checks: 32, packages: 2

python3-openneuro.noarch: W: no-manual-page-for-binary openneuro-py
===================================== 2 packages and 0 specfiles checked; 0 errors, 1 warnings, 14 filtered, 0 badness; has taken 0.8 s =====================================




Rpmlint (installed packages)
----------------------------
============================ rpmlint session starts ============================
rpmlint: 2.5.0
configuration:
    /usr/lib/python3.12/site-packages/rpmlint/configdefaults.toml
    /etc/xdg/rpmlint/fedora-legacy-licenses.toml
    /etc/xdg/rpmlint/fedora-spdx-licenses.toml
    /etc/xdg/rpmlint/fedora.toml
    /etc/xdg/rpmlint/scoring.toml
    /etc/xdg/rpmlint/users-groups.toml
    /etc/xdg/rpmlint/warn-on-functions.toml
checks: 32, packages: 1

python3-openneuro.noarch: W: no-manual-page-for-binary openneuro-py
 1 packages and 0 specfiles checked; 0 errors, 1 warnings, 10 filtered, 0 badness; has taken 0.1 s 



Source checksums
----------------
https://github.com/hoechenberger/openneuro-py/archive/v2024.1.0/openneuro-py-2024.1.0.tar.gz :
  CHECKSUM(SHA256) this package     : 82d88f1dee6805f3141e7bf0d8b68f6cfa0e011b05e7e4422754aacaf10d756f
  CHECKSUM(SHA256) upstream package : 82d88f1dee6805f3141e7bf0d8b68f6cfa0e011b05e7e4422754aacaf10d756f


Requires
--------
python3-openneuro (rpmlib, GLIBC filtered):
    /usr/bin/python3
    python(abi)
    python3.12dist(aiofiles)
    python3.12dist(httpx)
    python3.12dist(platformdirs)
    python3.12dist(requests)
    python3.12dist(sgqlc)
    python3.12dist(tqdm)
    python3.12dist(typer)
    python3.12dist(typer[all])



Provides
--------
python3-openneuro:
    openneuro-py
    python-openneuro
    python3-openneuro
    python3.12-openneuro
    python3.12dist(openneuro-py)
    python3dist(openneuro-py)



Diff spec file in url and in SRPM
---------------------------------
--- /home/asinha/dump/fedora-reviews/2257916-python-openneuro/srpm/python-openneuro.spec	2024-03-17 21:01:06.736942571 +0000
+++ /home/asinha/dump/fedora-reviews/2257916-python-openneuro/srpm-unpacked/python-openneuro.spec	2024-01-11 00:00:00.000000000 +0000
@@ -1,2 +1,12 @@
+## START: Set by rpmautospec
+## (rpmautospec version 0.3.8)
+## RPMAUTOSPEC: autorelease, autochangelog
+%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
+    release_number = 1;
+    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
+    print(release_number + base_release_number - 1);
+}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
+## END: Set by rpmautospec
+
 %global pypi_name openneuro-py
 # The importable module is called 'openneuro'
@@ -70,3 +80,6 @@
 
 %changelog
-%autochangelog
+## START: Generated by rpmautospec
+* Thu Jan 11 2024 Sandro <devel> - 2024.1.0-1
+- Rename SRPM to `python-openneuro`
+## END: Generated by rpmautospec


Generated by fedora-review 0.10.0 (e79b66b) last change: 2023-07-24
Command line :/usr/bin/fedora-review -b 2257916
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, Python
Disabled plugins: R, SugarActivity, C/C++, Perl, Haskell, Ocaml, PHP, fonts, Java
Disabled flags: EXARCH, EPEL6, EPEL7, DISTTAG, BATCH

Comment 14 Sandro 2024-03-18 08:10:12 UTC
(In reply to Ankur Sinha (FranciscoD) from comment #13)
> Looks good XXX APPROVED XXXX

Thanks for the review!
 
> A couple of things that can be done before the import:
> 
> - a new version is available

I'll import the latest version.

> - we could generate a man page for the binary?

I tried. But help2man isn't able to parse the output correctly due to color control characters. :\

Comment 15 Fedora Admin user for bugzilla script actions 2024-03-18 08:11:35 UTC
The Pagure repository was created at https://src.fedoraproject.org/rpms/python-openneuro

Comment 16 Fedora Update System 2024-03-18 08:28:36 UTC
FEDORA-2024-cbc22ed366 (python-openneuro-2024.2.0-1.fc41) has been submitted as an update to Fedora 41.
https://bodhi.fedoraproject.org/updates/FEDORA-2024-cbc22ed366

Comment 17 Fedora Update System 2024-03-18 08:32:21 UTC
FEDORA-2024-cbc22ed366 (python-openneuro-2024.2.0-1.fc41) has been pushed to the Fedora 41 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.